#pragma once
#include "interrupts/Context.h"

namespace Interrupts
{
    void enable();
    void disable();

    bool is_in_handler();
    void return_from_handler(Context* context);

    bool are_enabled();
    bool were_enabled();
    void push_and_disable();
    void push_and_enable();
    void pop();
}